# -*- coding: utf-8 -*-
r""""""
__all__ = ['RDBStatusItems', 'ReadFullPofx', 'ReadPofx']
__alias__ = 'RiMAP'
from arcpy.geoprocessing._base import gptooldoc, gp, gp_fixargs
from arcpy.arcobjects.arcobjectconversion import convertArcObjectToPythonObject

# Tools
@gptooldoc('RDBStatusItems_RiMAP', None)
def RDBStatusItems(inputString=None):
    """RDBStatusItems_RiMAP(inputString)

        ‌

     INPUTS:
      inputString (String):
          inputString"""
    from arcpy.geoprocessing._base import gp, gp_fixargs
    from arcpy.arcobjects.arcobjectconversion import convertArcObjectToPythonObject
    try:
        retval = convertArcObjectToPythonObject(gp.RDBStatusItems_RiMAP(*gp_fixargs((inputString,), True)))
        return retval
    except Exception as e:
        raise e

@gptooldoc('ReadFullPofx_RiMAP', None)
def ReadFullPofx(inputString=None):
    """ReadFullPofx_RiMAP(inputString)

        ‌

     INPUTS:
      inputString (String):
          inputString"""
    from arcpy.geoprocessing._base import gp, gp_fixargs
    from arcpy.arcobjects.arcobjectconversion import convertArcObjectToPythonObject
    try:
        retval = convertArcObjectToPythonObject(gp.ReadFullPofx_RiMAP(*gp_fixargs((inputString,), True)))
        return retval
    except Exception as e:
        raise e

@gptooldoc('ReadPofx_RiMAP', None)
def ReadPofx(inputString=None):
    """ReadPofx_RiMAP(inputString)

        ‌

     INPUTS:
      inputString (String):
          inputString"""
    from arcpy.geoprocessing._base import gp, gp_fixargs
    from arcpy.arcobjects.arcobjectconversion import convertArcObjectToPythonObject
    try:
        retval = convertArcObjectToPythonObject(gp.ReadPofx_RiMAP(*gp_fixargs((inputString,), True)))
        return retval
    except Exception as e:
        raise e


# End of generated toolbox code
del gptooldoc, gp, gp_fixargs, convertArcObjectToPythonObject